
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )


##### kpilot (shared) ###########################

tde_add_library( kpilot SHARED AUTOMOC
  SOURCES kpilotlibSettings.kcfgc options.cc plugin.cc syncAction.cc
    kpilotlink.cc kpilotdevicelink.cc kpilotlocallink.cc actions.cc
    actionQueue.cc pilot.cc pilotAppInfo.cc pilotRecord.cc pilotDatabase.cc
    pilotLocalDatabase.cc pilotSerialDatabase.cc pilotMemo.cc pilotAddress.cc
    pilotDateEntry.cc pilotTodoEntry.cc
  LINK tdeui-shared tdecore-shared tdeio-shared tdeabc-shared kcal-shared
    ${PILOTLINK_LIBRARIES}
  VERSION 0.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data ################################

install( FILES kpilotlib.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

install(
  FILES
    kpilotlink.h kpilotlocallink.h kpilotdevicelink.h pilot.h pilotDatabase.h
    pilotLinkVersion.h pilotLocalDatabase.h pilotRecord.h pilotSerialDatabase.h
    plugin.h pluginfactory.h syncAction.h
  DESTINATION
    ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)
